package ajax.login.controller.interceptor;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.springframework.web.servlet.HandlerInterceptor;
import org.springframework.web.servlet.ModelAndView;

public class ContextPathInterceptor implements HandlerInterceptor {
	private final String CONTEXT_PATH = "contextPath";

	@Override
	public boolean preHandle(HttpServletRequest request, HttpServletResponse response,
		Object handler) throws Exception {
		return true;
	}

	@Override
	public void postHandle(HttpServletRequest request, HttpServletResponse response,
		Object handler, ModelAndView modelAndView) throws Exception {
		
		// contextPath를 jsp에서 사용할 수 있도록 등록.
		HttpSession session = request.getSession();
		ServletContext context = session.getServletContext();

		Object o = session.getAttribute(CONTEXT_PATH);
		if (o == null) {
			request.setAttribute(CONTEXT_PATH, context.getContextPath());
		}
	}

	@Override
	public void afterCompletion(HttpServletRequest request, HttpServletResponse response,
		Object handler, Exception ex) throws Exception {

	}

}
