package ajax.login.dao;

import java.sql.ResultSet;
import java.sql.SQLException;

import javax.sql.DataSource;

import org.springframework.dao.EmptyResultDataAccessException;
import org.springframework.jdbc.core.RowMapper;
import org.springframework.jdbc.core.namedparam.MapSqlParameterSource;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.jdbc.core.namedparam.SqlParameterSource;

import ajax.login.entity.User;

public class UserDao extends NamedParameterJdbcTemplate {

	public UserDao(DataSource dataSource) {
		super(dataSource);
	}

	private final String SELECT_BY_ID = "select * from tb_user where user_id = :userId";
	private final RowMapper<User> SELECT_BY_ID_ROW_MAPPER = new RowMapper<User>() {

		@Override
		public User mapRow(ResultSet rs, int rowNum) throws SQLException {
			User user = new User();
			user.setId(rs.getString("user_id"));
			user.setPassword(rs.getString("user_pwd"));

			return user;
		}
	};

	public User selectById(String id) {
		SqlParameterSource params = new MapSqlParameterSource("userId", id);

		try {
			return queryForObject(SELECT_BY_ID, params, SELECT_BY_ID_ROW_MAPPER);
		} catch (EmptyResultDataAccessException e) {
			return null;
		}
	}

}
